﻿.dc-item {
    margin-bottom: var(--grid-gutter);
}

.dc__box {
    background: var(--white);
    box-shadow: 0 22px 43px -20px rgba(0, 0, 0, 0.15);
    transition: box-shadow 0.3s ease;
    display: block;
    color: var(--text-dark);
}

.dc__box .dc__box-img img {
    width: 100%;
    height: 200px;
    object-fit: cover;
}

.dc__box .dc__box-text {
    padding: var(--grid-gutter);
    position: relative;
}

.dc__box-text-title {
    word-break: break-all;
}

.button--dc {
    width: 100%;
    justify-content: center;
}

.dynamic-content__segments {
    -webkit-box-shadow: 0 10px 22px -10px rgba(0, 0, 0, 0.15);
    box-shadow: 0 10px 22px -10px rgba(0, 0, 0, 0.15);
    display: -webkit-box;
    display: -ms-flexbox;
    display: flex;
    list-style-type: none;
    padding: 0;
    background: white;
    max-width: -webkit-max-content;
    max-width: -moz-max-content;
    max-width: max-content;
    margin: 0 auto 2.5em;
    -ms-flex-wrap: wrap;
    flex-wrap: wrap;
    -webkit-box-pack: center;
    -ms-flex-pack: center;
    justify-content: center;
}

@media only screen and (max-width: 768px) {
    .dynamic-content__segments {
        background-color: transparent;
        -webkit-box-shadow: none;
        box-shadow: none;
        -ms-flex-wrap: wrap;
        flex-wrap: wrap;
        -webkit-box-pack: center;
        -ms-flex-pack: center;
        justify-content: center;
        margin-bottom: 1.5em;
        overflow-x: hidden;
        overflow-y: hidden;
    }

    .dynamic-content__segments li {
        margin: 5px;
    }

    .dynamic-content__segments li button,
    .dynamic-content__segments li a {
        border: 1px solid var(--border-dark);
        border-radius: 4px !important;
        -webkit-box-shadow: 0 10px 22px -10px rgba(0, 0, 0, 0.15);
        box-shadow: 0 10px 22px -10px rgba(0, 0, 0, 0.15);
        background-color: white;
    }
}

.dynamic-content__segments li:first-child button {
    border-radius: 4px 0 0 4px;
}

.dynamic-content__segments li button.active {
    background-color: var(--background-dark);
    color: white;
    pointer-events: none;
}

.dynamic-content__segments li button {
    text-align: center;
    display: block;
    line-height: 1;
    font-size: 0.875rem;
    font-weight: bold;
    padding: 10px 20px;
    position: relative;
    white-space: nowrap;
    color: var(--text-dark);
    border-right: 1px solid var(--border-dark);
}

.dynamic-content__segments li button::after {
    content: "";
    width: 0;
    height: 0;
    border-left: 5px solid transparent;
    border-right: 5px solid transparent;
    border-top: 5px solid #174751;
    position: absolute;
    left: 50%;
    margin-left: -5px;
    bottom: 0;
    -webkit-transition: all 0.3s ease;
    transition: all 0.3s ease;
    opacity: 0;
    visibility: hidden;
}

.dynamic-content__segments li button {
    text-align: center;
    line-height: 1;
    font-size: 0.875rem;
    font-weight: bold;
    white-space: nowrap;
    color: var(--text-dark);
}

.dynamic-content__segments li button.active::after {
    bottom: -5px;
    opacity: 1;
    visibility: visible;
}
